# Class SnpEffCmdCds

java.lang.Object
org.snpeff.SnpEff
org.snpeff.snpEffect.commandLine.SnpEffCmdCds

All Implemented Interfaces:
  `CommandLine`

public class SnpEffCmdCds extends SnpEff
Command line: Calculate coding sequences from a file and compare them to the ones calculated from our data structures

Note: This is done in order to see potential incompatibility errors between genome sequence and annotation.

Author:
  pcingola

## Nested Class Summary

### Nested classes/interfaces inherited from class SnpEff

`SnpEff.GeneDatabaseFormat, SnpEff.InputFormat, SnpEff.OutputFormat`

## Field Summary

Fields
Modifier and Type
Field
Description
`static int`
`MAX_ALIGN_LENGTH`
`static double`
`MAX_ERROR_RATE`
`static boolean`
`onlyOneError`

### Fields inherited from class SnpEff

`args, BUILD, BUILD_DATE, canonical, canonicalFile, command, COMMAND_LINE_WIDTH, config, configFile, configOverride, customIntervalFiles, dataDir, debug, DEFAULT_COMMAND, download, expandIub, filterIntervalFiles, genome, genomeVer, help, hgvs, hgvsForce, hgvsOld, hgvsOneLetterAa, hgvsShift, hgvsTrId, interaction, log, maxTranscriptSupportLevel, motif, multiThreaded, nextProt, nextProtKeepAllTrs, noGenome, numWorkers, onlyProtein, onlyRegulation, onlyTranscriptsFile, output, quiet, regulationTracks, REVISION, saveOutput, shiftArgs, snpEffCmd, SOFTWARE_NAME, spliceRegionExonSize, spliceRegionIntronMax, spliceRegionIntronMin, spliceSiteSize, strict, suppressOutput, tags, tagsNo, testing, treatAllAsProteinCoding, upDownStreamLength, verbose, VERSION, VERSION_AUTHOR, VERSION_BUILD, VERSION_MAJOR, VERSION_SHORT`

## Constructor Summary

Constructors
Constructor
Description
`SnpEffCmdCds()`
`SnpEffCmdCds(String genomeVer, String configFile, String cdsFile)`
`SnpEffCmdCds(Config config)`

## Method Summary

Modifier and Type
Method
Description
`void`
`parseArgs(String[] args)`
Parse command line arguments
`boolean`
`run()`
Run command
`void`
`setCheckNumOk(boolean checkNumOk)`
`void`
`setMaxErrorRate(double maxErrorRate)`
`void`
`setStoreAlignments(boolean storeAlignments)`
`void`
`usage(String message)`
Show usage and exit

### Methods inherited from class SnpEff

`addRegulationTrack, canonical, cmd, commandLineStr, filterTags, getArgs, getConfig, getConfigFile, getOutput, isOpt, load, loadConfig, loadCustomFile, loadDb, loadMarkers, main, reportValues, run, setCanonical, setConfig, setConfigFile, setDebug, setGenomeVer, setLog, setNextProt, setNextProtKeepAllTrs, setShiftHgvs, setSpliceSiteSize, setSupressOutput, setTesting, setUpDownStreamLength, setVerbose, usageDb, usageGeneric, usageGenericAndDb`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### onlyOneError

public static boolean onlyOneError

### MAX_ERROR_RATE

public static double MAX_ERROR_RATE

### MAX_ALIGN_LENGTH

public static int MAX_ALIGN_LENGTH

## Constructor Details

### SnpEffCmdCds

public SnpEffCmdCds()

### SnpEffCmdCds

public SnpEffCmdCds(Config config)

### SnpEffCmdCds

public SnpEffCmdCds(String genomeVer, String configFile, String cdsFile)

## Method Details

### parseArgs

public void parseArgs(String[] args)
Parse command line arguments

Specified by:
  `parseArgs` in interface `CommandLine`
Overrides:
  `parseArgs` in class `SnpEff`

### run

public boolean run()
Run command

Specified by:
  `run` in interface `CommandLine`
Overrides:
  `run` in class `SnpEff`

### setCheckNumOk

public void setCheckNumOk(boolean checkNumOk)

### setMaxErrorRate

public void setMaxErrorRate(double maxErrorRate)

### setStoreAlignments

public void setStoreAlignments(boolean storeAlignments)

### usage

public void usage(String message)
Show usage and exit

Specified by:
  `usage` in interface `CommandLine`
Overrides:
  `usage` in class `SnpEff`